# Interface JmolJDXMOLParser

All Known Implementing Classes:
  `JDXMOLParser`

public interface JmolJDXMOLParser

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String line, String tag)`
`String`
`getFirstModelWithPeaks()`
`String`
`getRecord(String key)`
`boolean`
`readACDAssignments(int nPoints, boolean isPeakAssignment, Lst<String[]> list)`
`String`
`readACDMolFile()`
`boolean`
`readModels()`
`int`
`readPeaks(boolean isSignals, int peakCount)`
`JmolJDXMOLParser`
`set(JmolJDXMOLReader loader, String filePath, Map<String,Object> htParams)`
`int`
`setACDAssignments(String model, String mytype, int peakCount, Lst<String[]> acdlist, String molFile)`
`void`
`setLine(String s)`

## Method Details

### getFirstModelWithPeaks

String getFirstModelWithPeaks()

### set

JmolJDXMOLParser set(JmolJDXMOLReader loader, String filePath, Map<String,Object> htParams)

### getRecord

String getRecord(String key) throws Exception

Throws:
  `Exception`

### getAttribute

String getAttribute(String line, String tag)

### readModels

boolean readModels() throws Exception

Throws:
  `Exception`

### readPeaks

int readPeaks(boolean isSignals, int peakCount) throws Exception

Throws:
  `Exception`

### setLine

void setLine(String s)

### readACDMolFile

String readACDMolFile() throws Exception

Throws:
  `Exception`

### readACDAssignments

boolean readACDAssignments(int nPoints, boolean isPeakAssignment, Lst<String[]> list) throws Exception

Throws:
  `Exception`

### setACDAssignments

int setACDAssignments(String model, String mytype, int peakCount, Lst<String[]> acdlist, String molFile) throws Exception

Throws:
  `Exception`